Forum |  HardWare.fr | News | Articles | PC | S'identifier | S'inscrire | Shop Recherche
940 connectés 

  FORUM HardWare.fr
  Linux et OS Alternatifs
  Installation

  Probleme d'installation de paquetage Gtk sous mandrake 9.2

 



 Mot :   Pseudo :  
 
Bas de page
Auteur Sujet :

Probleme d'installation de paquetage Gtk sous mandrake 9.2

n°440100
neo9205
Posté le 24-03-2004 à 20:05:57  profilanswer
 

Quand j'installe Gtk , j'ai ce type d'erreur là:
 
configure: error: Library requirements (glib-2.0 >= 2.4.0    atk >= 1.0.1    pango >= 1.4.0) not met; consider adjusting the PKG_CONFIG_PATH environment variable if your libraries are in a nonstandard prefix so pkg-config can find them.
 
Je décide donc d'installer glib, ce qui apparement se passe bien mais que non encore l'erreur comme ci j'avais rien installé !
 
Quand je lance "configure", dois je faire ./configure ou ./configure --prefix=/usr   à chaque fois que j'installe un paquetage ??
 
Quand j'ai installé pkgconfig, j'ai fait ./configure --prefix=/usr
 
Apres je fais le classique make puis make install
 
Quelqu'un peut il m'aider car y a vraiment rien qui veut s'installer et ça commence à m'énerver...
 

mood
Publicité
Posté le 24-03-2004 à 20:05:57  profilanswer
 

n°440113
Hermes le ​Messager
Breton Quiétiste
Posté le 24-03-2004 à 20:13:00  profilanswer
 

neo9205 a écrit :

Quand j'installe Gtk , j'ai ce type d'erreur là:
 
configure: error: Library requirements (glib-2.0 >= 2.4.0    atk >= 1.0.1    pango >= 1.4.0) not met; consider adjusting the PKG_CONFIG_PATH environment variable if your libraries are in a nonstandard prefix so pkg-config can find them.
 
Je décide donc d'installer glib, ce qui apparement se passe bien mais que non encore l'erreur comme ci j'avais rien installé !
 
Quand je lance "configure", dois je faire ./configure ou ./configure --prefix=/usr   à chaque fois que j'installe un paquetage ??
 
Quand j'ai installé pkgconfig, j'ai fait ./configure --prefix=/usr
 
Apres je fais le classique make puis make install
 
Quelqu'un peut il m'aider car y a vraiment rien qui veut s'installer et ça commence à m'énerver...
 
 


 
J'ai eu le même problème --> solution pour le moment : j'attend un rpm ou même la sortie définitive de la mandrake 10.

n°440114
Dark_Schne​ider
Close the World, Open the Net
Posté le 24-03-2004 à 20:13:16  profilanswer
 

excuse moi, mais pkoi veux tu compiler gtk ? tu veux installer la version 2.4 ?


---------------
Mandriva : parce que nous le valons bien ! http://linux-wizard.net/index.php
n°440152
neo9205
Posté le 24-03-2004 à 20:55:57  profilanswer
 

Dark_Schneider a écrit :

excuse moi, mais pkoi veux tu compiler gtk ? tu veux installer la version 2.4 ?


 
Oui je veux l'installer car je veux faire une interface graphique sous gtk

n°440169
dr-freuder​ick
Asymétrie Cognitive.
Posté le 24-03-2004 à 21:09:32  profilanswer
 

ta installé pango et atk ?

n°440190
neo9205
Posté le 24-03-2004 à 21:22:59  profilanswer
 

dr-freuderick a écrit :

ta installé pango et atk ?


 
Oui mais ça fait la meme chose après installation de pango.D'ailleur pango m'est aussi demandé alors qu'il est aussi installé !Quand à ATK il veut pas s'installer car il veut glide qui lui meme ne veut pas s'installer il me semble ! Bref, j'ai jamais vu de tels problèmes, c'est vraiment la jungle sous Linux !

n°440192
neo9205
Posté le 24-03-2004 à 21:24:48  profilanswer
 

n'y aurait il pas une option miracle qui lui dirait d'aller chercher lui meme comme un grand dans tout le disque dur les librairies qu'il a besoin ??? au lieu de mettre un petit prefixe du genre prefix=/usr qui apparement ne marche pas...

n°440202
Hermes le ​Messager
Breton Quiétiste
Posté le 24-03-2004 à 21:30:42  profilanswer
 

neo9205 a écrit :


 
Oui mais ça fait la meme chose après installation de pango.D'ailleur pango m'est aussi demandé alors qu'il est aussi installé !Quand à ATK il veut pas s'installer car il veut glide qui lui meme ne veut pas s'installer il me semble ! Bref, j'ai jamais vu de tels problèmes, c'est vraiment la jungle sous Linux !


 
T'inquiète, j'ai EXACTEMENT les mêmes problèmes, je crois que la seule soluce pour le moment, c'est de passer sur mandrake 10 ou une distrib avec les libs et les progs les plus récents (genre KDE 3.2, Xfree 4.4 etc... :/ )
 
Il va falloir attendre un peu pour pouvoir profiter de gimp...
 
Juste un truc que je trouve très dommage à ce propos :  
 
GTK 2.2.4 est proposé pour windows sous la forme d'un genre de VM, ils auraient pu faire pareil avec Linux pour laisser la possibilité aux versions plus ancienne de pouvoir profiter de gimp. :/

n°440206
neo9205
Posté le 24-03-2004 à 21:33:50  profilanswer
 

hermes le messager a écrit :


 
T'inquiète, j'ai EXACTEMENT les mêmes problèmes, je crois que la seule soluce pour le moment, c'est de passer sur mandrake 10 ou une distrib avec les libs et les progs les plus récents (genre KDE 3.2, Xfree 4.4 etc... :/ )
 
Il va falloir attendre un peu pour pouvoir profiter de gimp...
 
Juste un truc que je trouve très dommage à ce propos :  
 
GTK 2.2.4 est proposé pour windows sous la forme d'un genre de VM, ils auraient pu faire pareil avec Linux pour laisser la possibilité aux versions plus ancienne de pouvoir profiter de gimp. :/
 


 
Oui je suis bien d'accord avec toi mais je veux pas du tout cuit, il doit bien  y avoir un moyen d'installer ces fichus librairies correctement ?!
Pour la VM ça prend généralement beaucoup trop de mémoire, raison pour laquelle ils ne l'ont surement pas développé sous linux.

n°440211
Hermes le ​Messager
Breton Quiétiste
Posté le 24-03-2004 à 21:35:30  profilanswer
 

neo9205 a écrit :


 
Oui je suis bien d'accord avec toi mais je veux pas du tout cuit, il doit bien  y avoir un moyen d'installer ces fichus librairies correctement ?!


 
Ben si tu trouves, merci de nous en faire profiter. :/

Citation :


Pour la VM ça prend généralement beaucoup trop de mémoire, raison pour laquelle ils ne l'ont surement pas développé sous linux.


 
Peut être, mais en attendant, ce serait mieux que rien. :/

mood
Publicité
Posté le 24-03-2004 à 21:35:30  profilanswer
 

n°440217
dr-freuder​ick
Asymétrie Cognitive.
Posté le 24-03-2004 à 21:38:50  profilanswer
 

Citation :

Oui mais ça fait la meme chose après installation de pango.D'ailleur pango m'est aussi demandé alors qu'il est aussi installé !Quand à ATK il veut pas s'installer car il veut glide qui lui meme ne veut pas s'installer il me semble ! Bref, j'ai jamais vu de tels problèmes, c'est vraiment la jungle sous Linux !


 
Pango me faisait la meme chose jusqu'a que j'ai compris le truc
Il faut le compiler hors de X , bref en init 3
tu fais ctrl-alt-F1 et ca devrais passer

n°440235
neo9205
Posté le 24-03-2004 à 21:47:17  profilanswer
 

dr-freuderick a écrit :

Citation :

Oui mais ça fait la meme chose après installation de pango.D'ailleur pango m'est aussi demandé alors qu'il est aussi installé !Quand à ATK il veut pas s'installer car il veut glide qui lui meme ne veut pas s'installer il me semble ! Bref, j'ai jamais vu de tels problèmes, c'est vraiment la jungle sous Linux !


 
Pango me faisait la meme chose jusqu'a que j'ai compris le truc
Il faut le compiler hors de X , bref en init 3
tu fais ctrl-alt-F1 et ca devrais passer


 
Wouah le bricolage de fortune,(mais ça aura au moins le mérite de fonctionner je suppose),lol.Moi qui ai toujours pensé qu'une interface sous linux serait plus une surcouche qui allourdi tout qu'autre chose semble se confirmer.Pkoi faire une interface graphique si elle gène le système ?! D'ailleurs à ce sujet, j'installe tout frais Linux, je vais ajouter des paquetages de développement ,puis je constate apres que KDE ne sait plus ouvrir un dossier !!!!!!!!Plus aucune icone ou dossier ne marche !! ah si ! la console fonctionne toujours !!!!Heureusement ! Je sens que je vais désinstaller toutes ces interfaces graphique qui ne sont en fait que des surcouches génante pour le systeme.

n°440265
dr-freuder​ick
Asymétrie Cognitive.
Posté le 24-03-2004 à 22:15:37  profilanswer
 

Je pense que pango dans le make install ecrase des fichier utilisé continuellement pas X dans les fonts. C'est pour ca qu'il evite de pouvoir se compiler dans ce cas

n°440271
neo9205
Posté le 24-03-2004 à 22:25:01  profilanswer
 

dr-freuderick a écrit :

Je pense que pango dans le make install ecrase des fichier utilisé continuellement pas X dans les fonts. C'est pour ca qu'il evite de pouvoir se compiler dans ce cas


 
Ton hypothese tiens la route :hello:

n°440273
dr-freuder​ick
Asymétrie Cognitive.
Posté le 24-03-2004 à 22:27:07  profilanswer
 

et ca marche ?

n°440288
neo9205
Posté le 24-03-2004 à 22:36:09  profilanswer
 


 
J'ai plus le courage d'essayer ce soir mais de toute maniere mon probleme général c'est que une fois glide installé, quand je veux installer Gtk, il ne trouve pas glide comme étant installé (alors qu'il est installé, j'ai meme le chemin d'accès que je lui passe en parametre via prefix d'ailleur !)ce qui est tres génant.

n°440291
dr-freuder​ick
Asymétrie Cognitive.
Posté le 24-03-2004 à 22:39:21  profilanswer
 

Moi j'ai fait demarrer, ctrl-alt-F1
mis en root
 
./configure && make && make install pour (et dans l'ordre)
 
glib
pango
atk
gtk+
 
au fait pourquoi tu veux compiler gtk+ ?


Message édité par dr-freuderick le 24-03-2004 à 22:39:38
n°440295
neo9205
Posté le 24-03-2004 à 22:41:41  profilanswer
 

dr-freuderick a écrit :

Moi j'ai fait demarrer, ctrl-alt-F1
mis en root
 
./configure && make && make install pour (et dans l'ordre)
 
glib
pango
atk
gtk+
 
au fait pourquoi tu veux compiler gtk+ ?


 
Et il a tout installé sans probleme ?? Je veux le compiler car j'ai pas trouvé un equivalent en rpm

n°440304
dr-freuder​ick
Asymétrie Cognitive.
Posté le 24-03-2004 à 22:45:18  profilanswer
 

sans problème, enfin j'en eu quelqu'un avec des polices mais rien de tres grave.
 
Si ta besoin de gtk+ pour compiler des appli faut telecharger les rpm de gtk1.2-dev ou gtk+2.0-dev

n°440307
neo9205
Posté le 24-03-2004 à 22:46:47  profilanswer
 

dr-freuderick a écrit :

sans problème, enfin j'en eu quelqu'un avec des polices mais rien de tres grave.
 
Si ta besoin de gtk+ pour compiler des appli faut telecharger les rpm de gtk1.2-dev ou gtk+2.0-dev


 
Oki je te remercie, je vais essayer tout ça demain.
 :hello:

n°440364
neo9205
Posté le 24-03-2004 à 23:49:40  profilanswer
 

dr-freuderick a écrit :

sans problème, enfin j'en eu quelqu'un avec des polices mais rien de tres grave.
 
Si ta besoin de gtk+ pour compiler des appli faut telecharger les rpm de gtk1.2-dev ou gtk+2.0-dev


 
Tout compte fait j'ai essayé ce soir sans interface X et tout s'est bien installé au début: glib,pango et atk.
J'étais donc tout content...
Puis je lance ./configure pour gtk+ et là paf ça recommence, meme message d'erreur comme quoi il trouve pas glib,pango,atk sur le pc ! Je reve ! non je crois que ça doit etre un cauchemar ! lol

n°440378
Hermes le ​Messager
Breton Quiétiste
Posté le 24-03-2004 à 23:59:30  profilanswer
 

neo9205 a écrit :


 
Tout compte fait j'ai essayé ce soir sans interface X et tout s'est bien installé au début: glib,pango et atk.
J'étais donc tout content...
Puis je lance ./configure pour gtk+ et là paf ça recommence, meme message d'erreur comme quoi il trouve pas glib,pango,atk sur le pc ! Je reve ! non je crois que ça doit etre un cauchemar ! lol


 
J'ai eu exactement le même problème. [:spamafote] et j'ai trouvé aucune solution.

n°440386
GUG
Posté le 25-03-2004 à 00:06:07  profilanswer
 

hum bizaare...
peut etre des programmes annexe pas à jours ?
 
et avec des options lors du ./configure --help ?

n°440465
neo9205
Posté le 25-03-2004 à 08:45:33  profilanswer
 

GUG a écrit :

hum bizaare...
peut etre des programmes annexe pas à jours ?
 
et avec des options lors du ./configure --help ?


 
Pour montrer la gravité du probleme, je cheche le repertoire ou est installé glib par exemple et je lui en parametre de prefix quand je veux faire un ./configure de gtk.
Je met : ./configure --prefix=/usr/include/glib2-0/glib (et ce dossier existe bien donc glib a bien été installé !!)
 
Et avec ça il ne trouve toujours pas glib ce béta de Gtk !!!

n°440467
Hermes le ​Messager
Breton Quiétiste
Posté le 25-03-2004 à 08:47:40  profilanswer
 

neo9205 a écrit :


 
Pour montrer la gravité du probleme, je cheche le repertoire ou est installé glib par exemple et je lui en parametre de prefix quand je veux faire un ./configure de gtk.
Je met : ./configure --prefix=/usr/include/glib2-0/glib (et ce dossier existe bien donc glib a bien été installé !!)
 
Et avec ça il ne trouve toujours pas glib ce béta de Gtk !!!


 
Exactement pareil chez moi. Je crois que cette install fraiche est bel et bien moisie.  :heink:


Message édité par Hermes le Messager le 25-03-2004 à 08:47:52
n°440667
Dark_Schne​ider
Close the World, Open the Net
Posté le 25-03-2004 à 13:05:41  profilanswer
 

neo9205 > c'était le bug des menus que tu as eu.
> update-menus -v
 
dans une console en tant que root et le pb était réglé. ils en parlent sur la page d'errata de mdk, il y a des updates ki fixent le pb ...


---------------
Mandriva : parce que nous le valons bien ! http://linux-wizard.net/index.php
n°440710
neo9205
Posté le 25-03-2004 à 13:45:16  profilanswer
 

Dark_Schneider a écrit :

neo9205 > c'était le bug des menus que tu as eu.
> update-menus -v
 
dans une console en tant que root et le pb était réglé. ils en parlent sur la page d'errata de mdk, il y a des updates ki fixent le pb ...


 
Ah ok, fameux probleme...
Sinon toujours dans la résolution de mon probleme, je cherche PKG_CONFIG_PATH  mais je trouve pas ou c'est ?? qq1 a t-il une idée ?? dans quel fichier je trouve ce PATH là ??

n°440768
neo9205
Posté le 25-03-2004 à 15:12:27  profilanswer
 

en fait, il suffisait de faire ça avant le ./configure    :
export PKG_CONFIG_PATH=/usr/lib/pkgconfig :/usr/local/lib/pkgconfig
 
En fait à la base tous les paquetages sont installés dans /usr/local/lib au lieu de usr/lib (raison pour laquelle pkg-config ne trouve rien ).


Message édité par neo9205 le 25-03-2004 à 15:33:11
mood
Publicité
Posté le   profilanswer
 


Aller à :
Ajouter une réponse
  FORUM HardWare.fr
  Linux et OS Alternatifs
  Installation

  Probleme d'installation de paquetage Gtk sous mandrake 9.2

 

Sujets relatifs
Mandrake 10 : drivers nvidia -> problème de fontsprobleme Speedtouch Debian
Problème étrange avec Mandrake 10 : sons en accéléré...probleme postfix et envoie externe
Probléme lecture vidéo encodée en xvidproblème de permission pour un répertoire
[Mandrake 10] Lancer une appli au démarrageRépertoire d'installation d'une application par apt-get install
Plus de sujets relatifs à : Probleme d'installation de paquetage Gtk sous mandrake 9.2


Copyright © 1997-2022 Hardware.fr SARL (Signaler un contenu illicite / Données personnelles) / Groupe LDLC / Shop HFR